Skip to main content
GET
Go (SDK)

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Query Parameters

organization_id

Filter by organization ID. The organization ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

query
string | null

Filter by name.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
created_at,
-created_at,
name,
-name,
code,
-code,
redemptions_count,
-redemptions_count,
ends_at,
-ends_at

Response

Successful Response

items
(DiscountFixedOnceForeverDuration · object | DiscountFixedRepeatDuration · object | DiscountPercentageOnceForeverDuration · object | DiscountPercentageRepeatDuration · object)[]
required

Schema for a fixed amount discount that is applied once or forever.

pagination
Pagination · object
required